# tests disabled many missing dependencies
%global enable_tests 0
%global srcname html-minifier

Name:           nodejs-%{srcname}
Version:        0.6.9
Release:        1%{?dist}
Summary:        HTML minifier with lint-like capabilities
License:        MIT
URL:            https://kangax.github.io/html-minifier/
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:        %{name}-tests-v%{version}.tar.bz2
Source2:        %{name}.man.1.gz
Source10:       %{name}-dl-tests.sh

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(load-grunt-tasks)
BuildRequires:  npm(grunt-contrib-jshint)
BuildRequires:  npm(grunt-contrib-uglify)
BuildRequires:  npm(grunt-exec)
BuildRequires:  npm(grunt-jscs)
BuildRequires:  npm(grunt-contrib-qunit)
BuildRequires:  npm(grunt-contrib-concat)
BuildRequires:  npm(time-grunt)
%endif

%description
HTMLMinifier is a highly configurable, well-tested, Javascript-based HTML 
minifier, with lint-like capabilities.


%prep
%setup -q -n package
rm -rf node_modules/
%setup -q -T -D -a 1 -n package
%nodejs_fixdep cli '~0.5'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json cli.js dist/ %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/cli.js %{buildroot}%{_bindir}/%{srcname}

mkdir -p %{buildroot}%{_mandir}/man1
cp -pr %{SOURCE2} %{buildroot}%{_mandir}/man1/html-minifier.1.gz

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc README.md LICENSE sample-cli-config-file.conf
%{nodejs_sitelib}/%{srcname}
%{_bindir}/%{srcname}
%{_mandir}/man1/%{srcname}.1.gz


%changelog
* Tue Dec 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.6.9-1
- Initial package
